## evolution-data-server 3.30.5.2

=== tests/book-migration/CMakeLists.txt ===
set(extra_deps
	ebook
	ebook-contacts
	edbus-private
	client-test-utils
)


set(extra_defines
	-DEDS_TEST_WORK_DIR=\"${CMAKE_BINARY_DIR}/tests/test-server-utils/cache\"
	-DEDS_TEST_SQLITE_BOOKS=\"${CMAKE_SOURCE_DIR}/tests/book-migration/db\"
	-DEDS_TEST_BUILT_BOOKS=\"${CMAKE_BINARY_DIR}/tests/book-migration/db\"
)

# If db_load is detected at configure time, then we've built
# an addressbook.db to test the migration from 3.6 -> Current.
#
# Instead of committing a BDB file directly which might have
# compatibility issues, we use a text dump (for SQLite we
# rely on compatilbility).
if(HAVE_DB_LOAD)
	list(APPEND extra_defines
		-DTEST_VERSIONS_WITH_BDB
	)
endif(HAVE_DB_LOAD)

set(extra_cflags
	${ADDRESSBOOK_CFLAGS}
)

set(extra_incdirs
	${ADDRESSBOOK_INCLUDE_DIRS}
	${CMAKE_BINARY_DIR}/tests/libebook/client
	${CMAKE_SOURCE_DIR}/tests/libebook/client
)

set(extra_ldflags
	${ADDRESSBOOK_LDFLAGS}
)

# Should be kept ordered approximately from least to most difficult/complex
set(TESTS
	test-migration
)

foreach(_test ${TESTS})
	set(SOURCES ${_test}.c)

	build_only_installable_test(${_test}
		SOURCES
		extra_deps
		extra_defines
		extra_cflags
		extra_incdirs
		extra_ldflags
	)
	add_check_test(${_test})
endforeach(_test)

# This is a little cheat, it's not a real test, but can be built with the macro
set(SOURCES setup-migration-test.c)

build_only_installable_test(setup-migration-test
	SOURCES
	extra_deps
	extra_defines
	extra_cflags
	extra_incdirs
	extra_ldflags
)

# This rule should be run once every stable release and then the
# newly created 'contacts.db' file added to git.
#
# For instance, when the EDS version is 3.12, the file:
#   $(top_srcdir)/tests/book-migration/db/3.12/contacts.db
# will be created as a result of running 'make setup-migration'.
#
# Note that the 'setup-migration-test' program can be compiled
# with EDS versions back to 3.0. If you really need to rebuild
# the older test sandboxes, then setup-migration-test can be
# manually compiled and used with older builds of EDS.
set(_use_db_version "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}")
add_custom_target(setup-migration
	COMMAND ${CMAKE_COMMAND} -E echo "Setting up new migration sandbox in ${CMAKE_SOURCE_DIR}/tests/book-migration/db/${_use_db_version}..."
	COMMAND ${CMAKE_BINARY_DIR}/tests/book-migration/setup-migration-test
		--use-test-sandbox --book-id ${_use_db_version}
		--contacts-directory ${CMAKE_SOURCE_DIR}/tests/book-migration/vcards
	COMMAND ${CMAKE_COMMAND} -E make_directory ${CMAKE_SOURCE_DIR}/tests/book-migration/db/${_use_db_version}
	COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_BINARY_DIR}/tests/test-server-utils/cache/evolution/addressbook/${_use_db_version}/contacts.db
		${CMAKE_SOURCE_DIR}/tests/book-migration/db/${_use_db_version}/
	COMMAND ${CMAKE_COMMAND} -E echo "Done."
	DEPENDS setup-migration-test
)

add_subdirectory(db)

=== tests/libecal/CMakeLists.txt ===
set(extra_deps
	ecal
	etestserverutils
)

set(extra_defines
	-DLOCALEDIR=\"${LOCALE_INSTALL_DIR}\"
)

set(extra_cflags
	${CALENDAR_CFLAGS}
)

set(extra_incdirs
	${CMAKE_BINARY_DIR}/src/calendar
	${CMAKE_SOURCE_DIR}/src/calendar
	${CALENDAR_INCLUDE_DIRS}
)

set(extra_ldflags
	${CALENDAR_LDFLAGS}
)

set(SOURCES
	ecal-test-utils.c
	ecal-test-utils.h
)

add_library(ecal-test-utils STATIC
	${SOURCES}
)

add_dependencies(ecal-test-utils
	edataserver
	${extra_deps}
)

target_compile_definitions(ecal-test-utils PRIVATE
	-DG_LOG_DOMAIN=\"ecal-test-utils\"
	${extra_defines}
)

target_compile_options(ecal-test-utils PUBLIC
	${BACKEND_CFLAGS}
	${DATA_SERVER_CFLAGS}
	${extra_cflags}
)

target_include_directories(ecal-test-utils PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_BINARY_DIR}/src
	${CMAKE_SOURCE_DIR}/src
	${BACKEND_INCLUDE_DIRS}
	${DATA_SERVER_INCLUDE_DIRS}
	${extra_incdirs}
)

target_link_libraries(ecal-test-utils
	edataserver
	${extra_deps}
	${BACKEND_LDFLAGS}
	${DATA_SERVER_LDFLAGS}
	${extra_ldflags}
)

set(extra_deps
	ecal
	ecal-test-utils
)

# Should be kept ordered approximately from least to most difficult/complex
set(TESTS
	test-ecal-get-timezone
	test-ecal-add-timezone
	test-ecal-set-default-timezone
	test-ecal-recur-description
	test-ecal-get-alarm-email-address
	test-ecal-get-cal-address
	test-ecal-get-ldap-attribute
	test-ecal-get-capabilities
	test-ecal-get-default-object
	test-ecal-create-object
	test-ecal-create-object--2
	test-ecal-get-objects-for-uid
	test-ecal-remove-object
	test-ecal-get-object-list
	test-ecal-modify-object
	test-ecal-send-objects
	test-ecal-receive-objects
	test-ecal-get-query
)

foreach(_test ${TESTS})
	set(SOURCES ${_test}.c)

	add_installable_test(${_test}
		SOURCES
		extra_deps
		extra_defines
		extra_cflags
		extra_incdirs
		extra_ldflags
		"session-exclusive"
		"TEST_INSTALLED_SERVICES=1"
	)
endforeach(_test)

# test-ecal-get-free-busy:
#   broken by design, the API needs to be fixed.
set(TESTS_SKIP
	test-ecal-get-free-busy
)

foreach(_test ${TESTS_SKIP})
	set(SOURCES ${_test}.c)

	build_only_installable_test(${_test}
		SOURCES
		extra_deps
		extra_defines
		extra_cflags
		extra_incdirs
		extra_ldflags
	)
endforeach(_test)

add_subdirectory(client)

=== tests/libedataserver/CMakeLists.txt ===
set(extra_deps
	ecal
)

set(extra_defines)

set(extra_cflags
	${CALENDAR_CFLAGS}
)

set(extra_incdirs
	${CALENDAR_INCLUDE_DIRS}
)

set(extra_ldflags
	${CALENDAR_LDFLAGS}
)

# Should be kept ordered approximately from least to most difficult/complex
set(TESTS
	e-source-registry-test
)

foreach(_test ${TESTS})
	set(SOURCES ${_test}.c)

	add_installable_test(${_test}
		SOURCES
		extra_deps
		extra_defines
		extra_cflags
		extra_incdirs
		extra_ldflags
		"session-exclusive"
		"TEST_INSTALLED_SERVICES=1"
	)
endforeach(_test)

set(TESTS_SKIP
	e-collator-test
)

if(HAVE_GTK)
	list(APPEND TESTS_SKIP
		e-user-prompter-test
	)
endif(HAVE_GTK)

foreach(_test ${TESTS_SKIP})
	set(SOURCES ${_test}.c)

	build_only_installable_test(${_test}
		SOURCES
		extra_deps
		extra_defines
		extra_cflags
		extra_incdirs
		extra_ldflags
		"session-exclusive"
		"TEST_INSTALLED_SERVICES=1"
	)
endforeach(_test)

=== tests/test-server-utils/CMakeLists.txt ===
add_subdirectory(services)

set(SOURCES
	e-test-server-utils.c
	e-test-server-utils.h
)

set(extra_deps
	ebook
	ecal
)

set(extra_defines
	-DEDS_TEST_DBUS_SERVICE_DIR=\"${CMAKE_BINARY_DIR}/tests/test-server-utils/services\"
	-DEDS_TEST_WORK_DIR=\"${CMAKE_BINARY_DIR}/tests/test-server-utils/cache\"
	-DEDS_TEST_SCHEMA_DIR=\"${CMAKE_BINARY_DIR}/data\"
	-DEDS_TEST_ADDRESS_BOOK_DIR=\"${CMAKE_BINARY_DIR}/src/addressbook/backends/file\"
	-DEDS_TEST_CALENDAR_DIR=\"${CMAKE_BINARY_DIR}/src/calendar/backends/file\"
	-DEDS_TEST_REGISTRY_DIR=\"${CMAKE_BINARY_DIR}/src/modules/cache-reaper\"
	-DEDS_TEST_CAMEL_DIR=\"${CMAKE_BINARY_DIR}/src/camel/providers/local\"
	-DEDS_TEST_SUBPROCESS_CAL_PATH=\"${CMAKE_BINARY_DIR}/src/calendar/libedata-cal/evolution-calendar-factory-subprocess\"
	-DEDS_TEST_SUBPROCESS_BOOK_PATH=\"${CMAKE_BINARY_DIR}/src/addressbook/libedata-book/evolution-addressbook-factory-subprocess\"
	-DEDS_TEST_TOP_BUILD_DIR=\"${CMAKE_BINARY_DIR}/src\"
)

set(extra_cflags
	${ADDRESSBOOK_CFLAGS}
	${CALENDAR_CFLAGS}
	${GIO_UNIX_CFLAGS}
)

set(extra_incdirs
	${ADDRESSBOOK_INCLUDE_DIRS}
	${CALENDAR_INCLUDE_DIRS}
	${GIO_UNIX_INCLUDE_DIRS}
)

set(extra_ldflags
	${ADDRESSBOOK_LDFLAGS}
	${CALENDAR_LDFLAGS}
	${GIO_UNIX_LDFLAGS}
)

# ***************************
# Utility library
# ***************************

add_library(etestserverutils SHARED ${SOURCES})

add_dependencies(etestserverutils
	edataserver
	evolution-addressbook-factory
	evolution-calendar-factory
	evolution-source-registry
	${extra_deps}
)

set_target_properties(etestserverutils PROPERTIES
	VERSION "0.0.0"
	SOVERSION 0
)

target_compile_definitions(etestserverutils PRIVATE
	-DG_LOG_DOMAIN=\"e-test-server-utils\"
	${extra_defines}
)

target_compile_options(etestserverutils PUBLIC
	${BACKEND_CFLAGS}
	${DATA_SERVER_CFLAGS}
	${extra_cflags}
)

target_include_directories(etestserverutils PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_BINARY_DIR}/src
	${CMAKE_SOURCE_DIR}/src
	${BACKEND_INCLUDE_DIRS}
	${DATA_SERVER_INCLUDE_DIRS}
	${extra_incdirs}
)

target_link_libraries(etestserverutils
	edataserver
	${extra_deps}
	${BACKEND_LDFLAGS}
	${DATA_SERVER_LDFLAGS}
	${extra_ldflags}
)

if(ENABLE_INSTALLED_TESTS)
	install(TARGETS etestserverutils
		DESTINATION ${LIB_INSTALL_DIR}
	)
endif(ENABLE_INSTALLED_TESTS)

# ***************************
# Local Unit Test
# ***************************

set(SOURCES
	test-fixture.c
)

add_installable_test(test-fixture
	SOURCES
	extra_deps
	extra_defines
	extra_cflags
	extra_incdirs
	extra_ldflags
	"session-exclusive"
	"TEST_INSTALLED_SERVICES=1"
)

=== tests/libebook/vcard/CMakeLists.txt ===
add_executable(dump-vcard
	dump-vcard.c
)

set(DEPENDENCIES
	ebook
	edataserver
)

add_dependencies(dump-vcard
	${DEPENDENCIES}
)

target_compile_definitions(dump-vcard PRIVATE
	-DG_LOG_DOMAIN=\"dump-vcard\"
)

target_compile_options(dump-vcard PUBLIC
	${BACKEND_CFLAGS}
	${DATA_SERVER_CFLAGS}
	${ADDRESSBOOK_CFLAGS}
)

target_include_directories(dump-vcard PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_BINARY_DIR}/src
	${CMAKE_BINARY_DIR}/src/addressbook
	${CMAKE_SOURCE_DIR}/src
	${CMAKE_SOURCE_DIR}/src/addressbook
	${BACKEND_INCLUDE_DIRS}
	${DATA_SERVER_INCLUDE_DIRS}
	${ADDRESSBOOK_INCLUDE_DIRS}
)

target_link_libraries(dump-vcard
	${DEPENDENCIES}
	${BACKEND_LDFLAGS}
	${DATA_SERVER_LDFLAGS}
	${ADDRESSBOOK_LDFLAGS}
)

=== debian/changelog ===
evolution-data-server (3.30.5.2-1+eagle) unstable; urgency=low

  * ['Autobuild release-candidate: 05065ff807a783ce016c72218d851696f981a8ef']

 -- shuttle <shuttle@deepin.com>  Mon, 09 Nov 2020 17:32:02 +0000

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: evolution-data-server
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: 
Build-Depends: cmake,
               debhelper (>= 11),
               libtool,
               intltool (>= 0.35.5),
               libcanberra-gtk3-dev (>= 0.25),
               libdb-dev,
               libglib2.0-dev (>= 2.40),
               libglib2.0-doc (>= 2.40),
               libgdata-dev (>= 0.10),
               libgirepository1.0-dev (>= 0.9.12),
               libsecret-1-dev (>= 0.5),
               libgcr-3-dev (>= 3.4),
               libgoa-1.0-dev (>= 3.8),
               libgtk-3-dev (>= 3.10),
               libgweather-3-dev (>= 3.10),
               libical-dev (>= 2.0),
               libicu-dev,
               libjson-glib-dev (>= 1.0.4),
               libkrb5-dev,
               libldap2-dev,
               liboauth-dev (>= 0.9.4),
               librest-dev (>= 0.7),
               libnss3-dev,
               libnspr4-dev,
               libsoup2.4-dev (>= 2.42),
               libsqlite3-dev (>= 3.7.17),
               libwebkit2gtk-4.0-dev,
               libxml2-dev (>= 2.0.0),
               gtk-doc-tools (>= 1.14),
               gobject-introspection (>= 0.9.12-4~),
               gperf,
               gnome-pkg-tools,
               pkg-config (>= 0.16),
               valac (>= 0.22),
               libphonenumber-dev [!hppa !hurd-any !kfreebsd-amd64 !kfreebsd-i386],
               db-util <!nocheck>,
               dbus <!nocheck>,
Rules-Requires-Root: binary-targets
Standards-Version: 4.3.0
Homepage: https://wiki.gnome.org/Apps/Evolution
Vcs-Git: https://salsa.debian.org/gnome-team/evolution-data-server.git
Vcs-Browser: https://salsa.debian.org/gnome-team/evolution-data-server

Package: evolution-data-server
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution-data-server-common (>= ${source:Version}),
         libcamel-1.2-62 (= ${binary:Version}),
         gnome-keyring,
Breaks: evolution (<< 3.29.90),
        libevolution (<< 3.29.90)
Replaces: evolution (<< 3.29.90),
          libevolution (<< 3.29.90)
Suggests: evolution
Description: evolution database backend server
 The data server, called "Evolution Data Server" is responsible for managing
 mail, calendar, addressbook, tasks and memo information.

Package: evolution-data-server-common
Architecture: all
Depends: ${misc:Depends}
Multi-arch: foreign
Description: architecture independent files for Evolution Data Server
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package contains the architecture independent files needed
 by the evolution-data-server package.

Package: evolution-data-server-tests
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution-common,
         evolution-data-server
Description: Installed tests for the evolution database backend server
 The data server, called "Evolution Data Server" is responsible for managing
 mail, calendar, addressbook, tasks and memo information.
 .
 This package contains test programs, designed to be run as part of a
 regression testsuite.

Package: evolution-data-server-dev
Section: devel
Architecture: any
Depends: ${misc:Depends},
         libglib2.0-dev (>= 2.40),
         libnss3-dev,
         libnspr4-dev
Description: Development files for evolution-data-server (metapackage)
 This package contains header files and static library of evolution-data-server.

Package: evolution-data-server-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: devhelp
Description: Documentation files for the Evolution Data Server libraries
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package contains the API documentation for all the individual
 Evolution Data Server libraries.

Package: libedataserver-1.2-23
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution-data-server-common (>= ${gnome:Version})
Description: Utility library for evolution data servers
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package is a utility library for evolution-data-server.

Package: libedataserver1.2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libedataserver-1.2-23 (= ${binary:Version}),
         gir1.2-edataserver-1.2 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
         libcamel1.2-dev (= ${binary:Version}),
         libxml2-dev,
         libglib2.0-dev (>= 2.40),
         libsoup2.4-dev,
         libsecret-1-dev
Description: Utility library for evolution data servers (development files)
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package contains header files and static library for libedataserver.

Package: gir1.2-edataserver-1.2
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GObject introspection for the EDataServer library
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package contains introspection data for the libedataserver
 library. It can be used by packages using the GIRepository format to
 generate dynamic bindings.

Package: libedataserverui-1.2-2
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution-data-server-common (>= ${gnome:Version})
Description: Utility library for evolution data servers
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package is a UI utility library for evolution-data-server.

Package: libedataserverui1.2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libedataserverui-1.2-2 (= ${binary:Version}),
         gir1.2-edataserverui-1.2 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
         libedata-book1.2-dev,
         libcamel1.2-dev (= ${binary:Version}),
         libecal1.2-dev (= ${binary:Version}),
         libedataserver1.2-dev (= ${binary:Version}),
         libxml2-dev,
         libglib2.0-dev (>= 2.40),
         libgtk-3-dev,
         libsoup2.4-dev,
         libsecret-1-dev
Description: Utility library for evolution data servers (development files)
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package contains development files for libedataserverui.

Package: gir1.2-edataserverui-1.2
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GObject introspection for the EDataServerUI library
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package contains introspection data for the libedataserverui
 library. It can be used by packages using the GIRepository format to
 generate dynamic bindings.

Package: libcamel-1.2-62
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Evolution MIME message handling library
 Camel is a generic messaging library. It supports the standard
 messaging system for receiving and sending messages. It is the
 messaging backend for Evolution.
 .
 Evolution is the integrated mail, calendar, task and address book
 distributed suite from Novell, Inc.

Package: libcamel1.2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libcamel-1.2-62 (= ${binary:Version}),
         gir1.2-camel-1.2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         libglib2.0-dev (>= 2.40),
         libsqlite3-dev (>= 3.5),
         libnss3-dev,
         libnspr4-dev
Description: Development files for libcamel
 This package contains header files and static library for libcamel.
 .
 Camel is a generic messaging library. It supports the standard
 messaging system for receiving and sending messages. It is the
 messaging backend for Evolution.
 .
 Evolution is the integrated mail, calendar, task and address book
 distributed suite from Novell, Inc.

Package: gir1.2-camel-1.2
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GObject introspection for the Camel library
 Camel is a generic messaging library. It supports the standard
 messaging system for receiving and sending messages. It is the
 messaging backend for Evolution.
 .
 Evolution is the integrated mail, calendar, task and address book
 distributed suite from Novell, Inc.
 .
 This package contains introspection data for the libcamel
 library. It can be used by packages using the GIRepository format to
 generate dynamic bindings.

Package: libebook-1.2-19
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Client library for evolution address books
 This package is a client library for evolution addressbooks.
 .
 Evolution is the integrated mail, calendar, task and address book
 distributed suite from Novell, Inc.

Package: libebook1.2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libebook-1.2-19 (= ${binary:Version}),
         gir1.2-ebook-1.2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         libedataserver1.2-dev (= ${binary:Version}),
         libebook-contacts1.2-dev (= ${binary:Version}),
         libcamel1.2-dev (= ${binary:Version}),
         libedata-book1.2-dev (= ${binary:Version}),
         libglib2.0-dev (>= 2.40),
Description: Client library for evolution address books (development files)
 This package contains header files and static library for libebook.
 .
 libebook is a client library for evolution addressbooks.
 Evolution is the integrated mail, calendar, task and address book
 distributed suite from Novell, Inc.

Package: gir1.2-ebook-1.2
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GObject introspection for the EBook library
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package contains introspection data for the libeebook
 library. It can be used by packages using the GIRepository format to
 generate dynamic bindings.

Package: libedata-book-1.2-25
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Backend library for evolution address books
 Evolution is the integrated mail, calendar, task and address book
 distributed suite from Novell, Inc.
 .
 This package is a backend library for evolution address book.

Package: libedata-book1.2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libedata-book-1.2-25 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         libebook-contacts1.2-dev (= ${binary:Version}),
         libebackend1.2-dev (= ${binary:Version}),
         libglib2.0-dev (>= 2.40),
Description: Backend library for evolution address books (development files)
 Evolution is the integrated mail, calendar, task and address book
 distributed suite from Novell, Inc.
 .
 This package contains header files and static library for libedata-book.

Package: gir1.2-ebookcontacts-1.2

## evolution-data-server 3.32.1

=== debian/changelog ===
evolution-data-server (3.32.1-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 09 Apr 2019 11:18:52 +0200

evolution-data-server (3.32.0-1) experimental; urgency=medium

  * New upstream release
  * debian/libedataserver-1.2-24.symbols: Add new symbols

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 11 Mar 2019 06:37:12 -0400

evolution-data-server (3.31.90-1) experimental; urgency=medium

  * New upstream development release
  * Rename libedataserver-1.2-23 to libedataserver-1.2-24 to match soname bump
  * Update symbols files
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-gir and dh-sequence-gnome
  * Stop overriding libexec directory (/usr/libexec is fine now)

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 04 Feb 2019 09:37:42 -0500

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,11 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: 
+Uploaders: Jeremy Bicha <jbicha@debian.org>
 Build-Depends: cmake,
-               debhelper (>= 11),
+               debhelper-compat (= 12),
+               dh-sequence-gir,
+               dh-sequence-gnome,
                libtool,
                intltool (>= 0.35.5),
                libcanberra-gtk3-dev (>= 0.25),
@@ -36,9 +38,7 @@
                libwebkit2gtk-4.0-dev,
                libxml2-dev (>= 2.0.0),
                gtk-doc-tools (>= 1.14),
-               gobject-introspection (>= 0.9.12-4~),
                gperf,
-               gnome-pkg-tools,
                pkg-config (>= 0.16),
                valac (>= 0.22),
                libphonenumber-dev [!hppa !hurd-any !kfreebsd-amd64 !kfreebsd-i386],
@@ -112,7 +112,7 @@
  This package contains the API documentation for all the individual
  Evolution Data Server libraries.
 
-Package: libedataserver-1.2-23
+Package: libedataserver-1.2-24
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -129,7 +129,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libedataserver-1.2-23 (= ${binary:Version}),
+Depends: libedataserver-1.2-24 (= ${binary:Version}),
          gir1.2-edataserver-1.2 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends},
@@ -340,4 +340,3 @@
  .
  This package contains header files and static library for libedata-book.
 
-Package: gir1.2-ebookcontacts-1.2

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

# see https://bugzilla.gnome.org/show_bug.cgi?id=594473 for details
export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions

export SENDMAIL_PATH = /usr/sbin/sendmail

%:
	dh $@

ifeq (,$(filter $(DEB_HOST_ARCH), hppa hurd-i386 kfreebsd-i386 kfreebsd-amd64))
CONFFLAGS = -DWITH_PHONENUMBER=ON
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		-DSYSCONF_INSTALL_DIR=/etc \
		-DWITH_LIBDB=/usr \
		-DWITH_OPENLDAP=ON \
		-DWITH_KRB5=ON \
		-DCMAKE_SKIP_RPATH=ON \
		-DENABLE_GTK=ON \
		-DENABLE_GTK_DOC=ON \
		-DENABLE_OAUTH2=ON \
		-DENABLE_GOA=ON \
		-DENABLE_EXAMPLES=ON \
		-DENABLE_WEATHER=ON \
		-DENABLE_INSTALLED_TESTS=ON \
		-DENABLE_INTROSPECTION=ON \
		-DENABLE_VALA_BINDINGS=ON \
		$(CONFFLAGS)

# don't configure with --libdir, but move the files manually, because
# /usr/lib/evolution-data-server must not change.
override_dh_install:
	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
	mv debian/tmp/usr/lib/*.so debian/tmp/usr/lib/*.so.* debian/tmp/usr/lib/girepository-1.0 \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	mv debian/tmp/usr/lib/pkgconfig/*.pc \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
	find debian/tmp/usr/lib -name '*.a' -delete -print
	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_fixperms-arch:
	chgrp mail $(CURDIR)/debian/evolution-data-server/usr/libexec/camel-lock-helper*
	chmod g+s $(CURDIR)/debian/evolution-data-server/usr/libexec/camel-lock-helper*
	dh_fixperms -a -X/usr/libexec/camel-lock-helper*

override_dh_makeshlibs:
	dh_makeshlibs -V -X/usr/lib/evolution-data-server/ -- -c4

override_dh_strip:
	dh_strip --dbgsym-migration='evolution-data-server-dbg (<< 3.20.2-2~)'

override_dh_auto_test:
	dbus-run-session -- dh_auto_test || true

## evolution-data-server 3.32.2

=== debian/changelog ===
evolution-data-server (3.32.2-2) experimental; urgency=medium

  * Includes the symbols file udpdate...

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 20 May 2019 21:43:50 +0200

evolution-data-server (3.32.2-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Sat, 18 May 2019 08:52:08 +0200

## evolution-data-server 3.33.4

=== debian/changelog ===
evolution-data-server (3.33.4-1) experimental; urgency=medium

  * New upstream release
  * debian/*: Update package names for new SONAMEs. There are new gir
    libraries too, for EDataCal / ECal / EDataBook / EBackend - add binary
    packages for these.
  * Bump libical BD per upstream.
  * Refresh patches
  * debian/evolution-data-server.docs: Drop TODO, it's removed upstream
  * ecal-Add-camel-and-libedataserver-to-the-library-search-p.patch: Fix gir
    build failure
  * Update symbols files
  * debian/evolution-data-server.lintian-overrides: Fix path of sgid binary
  * debian/copyright: Update slightly

 -- Iain Lane <laney@debian.org>  Tue, 30 Jul 2019 13:28:58 +0100

## evolution-data-server 3.34.1

=== debian/changelog ===
evolution-data-server (3.34.1-1) unstable; urgency=medium

  * New upstream release
  * debian/libedataserver-1.2-24.symbols: Add new symbols

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 07 Oct 2019 20:19:38 -0400

evolution-data-server (3.34.0-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 30 Sep 2019 13:39:53 +0200

evolution-data-server (3.34.0-2) experimental; urgency=medium

  * Correctly update debian/libedata-cal-2.0-1.symbols

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 13 Sep 2019 18:10:19 +0200

evolution-data-server (3.34.0-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 11 Sep 2019 17:59:16 +0200

evolution-data-server (3.33.91-3) experimental; urgency=medium

  * Correctly update the symbols for the new version...

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 28 Aug 2019 21:25:12 +0200

evolution-data-server (3.33.91-2) experimental; urgency=medium

  * Remove patch not needed in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 28 Aug 2019 17:07:53 +0200

evolution-data-server (3.33.91-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 28 Aug 2019 17:04:06 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 12),
                dh-sequence-gir,
@@ -24,7 +24,7 @@
                libgoa-1.0-dev (>= 3.8),
                libgtk-3-dev (>= 3.10),
                libgweather-3-dev (>= 3.10),
-               libical-dev (>= 2.0),
+               libical-dev (>= 3.0.5),
                libicu-dev,
                libjson-glib-dev (>= 1.0.4),
                libkrb5-dev,
@@ -182,7 +182,7 @@
          ${misc:Depends},
          libedata-book1.2-dev,
          libcamel1.2-dev (= ${binary:Version}),
-         libecal1.2-dev (= ${binary:Version}),
+         libecal2.0-dev (= ${binary:Version}),
          libedataserver1.2-dev (= ${binary:Version}),
          libxml2-dev,
          libglib2.0-dev (>= 2.40),
@@ -265,7 +265,7 @@
  library. It can be used by packages using the GIRepository format to
  generate dynamic bindings.
 
-Package: libebook-1.2-19
+Package: libebook-1.2-20
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -281,7 +281,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libebook-1.2-19 (= ${binary:Version}),
+Depends: libebook-1.2-20 (= ${binary:Version}),
          gir1.2-ebook-1.2 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
@@ -312,7 +312,7 @@
  library. It can be used by packages using the GIRepository format to
  generate dynamic bindings.
 
-Package: libedata-book-1.2-25
+Package: libedata-book-1.2-26
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -328,7 +328,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libedata-book-1.2-25 (= ${binary:Version}),
+Depends: libedata-book-1.2-26 (= ${binary:Version}),
+         gir1.2-edatabook-1.2 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
          libebook-contacts1.2-dev (= ${binary:Version}),
@@ -338,5 +339,3 @@
  Evolution is the integrated mail, calendar, task and address book
  distributed suite from Novell, Inc.
  .
- This package contains header files and static library for libedata-book.
-

## evolution-data-server 3.35.92

=== debian/changelog ===
evolution-data-server (3.35.92-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 02 Mar 2020 16:37:28 +0100

evolution-data-server (3.35.91-1) experimental; urgency=medium

  * New upstream release
  * debian/gbp.conf:
    - go back to use upstream/latest for the new serie
  * debian/control.in:
    - updated the libical version requirement to 3.0.7
  * debian/libedataserver-1.2-24.symbols:
    - refresh the symbols for the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 25 Feb 2020 15:20:32 +0100

evolution-data-server (3.34.3-2) unstable; urgency=medium

  [ Iain Lane ]
  * Re-apply accidentally dropped changes from 3.34.1-2.
  * gbp.conf: Use upstream/3.34.x for upstream branch, now upstream/latest has
    diverged

  [ Steve Langasek ]
  * debian/rules: Omit evolution-data-server{,-tests} packages on
    ubuntu/i386.

 -- Iain Lane <laney@debian.org>  Sun, 16 Feb 2020 21:49:04 +0000

evolution-data-server (3.34.3-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.5.0

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 01 Feb 2020 21:34:29 -0500

evolution-data-server (3.34.1-2) unstable; urgency=medium

  [ Steve Langasek ]
  * debian/rules: Omit evolution-data-server{,-tests} packages on
    ubuntu/i386. (Closes: #947186)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 09 Jan 2020 17:30:09 +0100

## evolution-data-server 3.36.0

=== debian/changelog ===
evolution-data-server (3.36.0-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Mar 2020 15:29:17 +0100
